cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joerg Heinicke <joerg.heini...@gmx.de>
Subject Re: Can we compile against servlet spec 2.3?
Date Tue, 29 Jun 2004 17:58:07 GMT
On 29.06.2004 14:14, Carsten Ziegeler wrote:

> Currently we compile against the servlet spec 2.2, but also have
> the 2.3 version in our set of jars for the scratchpad.
> Now, we are 99% independent of the version and I guess that if
> we compile against the 2.3 version we still would run in a 2.2
> environment.
> So, can we just remove the 2.2 version and use everywhere the 2.3
> specification?

I can understand that we switch to 2.3 for Cocoon 2.2 - but completely, 
not just for compiling. Otherwise how will you make sure that a specific 
change is still compatible to 2.2? So maybe we should simply start a 
vote for switching to servlet spec 2.3 for Cocoon 2.2.

WDYT?

Joerg

Mime
View raw message